package src.AverageCounter;

import java.io.IOException;

import org.apache.hadoop.io.IntWritable;
import org.apache.hadoop.io.LongWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapred.*;

class AverageCounterMapper extends MapReduceBase implements Mapper<LongWritable, Text, Text, IntWritable> {
    public void map(LongWritable key, Text value, OutputCollector <Text, IntWritable> output, Reporter reporter) throws IOException {
        String fileContent = value.toString();
        String[] words = fileContent.split(" ");
        output.collect(new Text(words[0]), new IntWritable(Integer.parseInt(words[1])));
    }
}
