package src.TopTenFilter;

import java.io.IOException;

import org.apache.hadoop.io.IntWritable;
import org.apache.hadoop.io.LongWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapred.*;

class TopTenFilterMapper extends MapReduceBase implements Mapper<LongWritable, Text, Text, Text> {
    public void map(LongWritable key, Text value, OutputCollector <Text, Text> output, Reporter reporter) throws IOException {
        String fileContent = value.toString();
        String[] words = fileContent.split(" ");
        Tuple tuple = new Tuple(new Text(words[0]), new IntWritable(Integer.parseInt(words[1])));
        output.collect(new Text("tuples"), new Text(tuple.x.toString() + "," + tuple.y.toString()));
    }
}
